<app-loading *ngIf="isLoading"></app-loading>

<div class="action-breadcrumb-float-right" *ngIf="typeAction === this.screenType.update">
  <button nz-button nzSize="large" nzType="default" class="whiteButton" (click)="sendConsultation()">
    {{ 'development.interview-config.buttonAction.sendConsultation' | translate }}
  </button>
</div>
<nz-card class="info-personal">
  <h3>{{ 'development.proposed-unit.section.personalInfo' | translate }}</h3>
  <div nz-row [nzGutter]="[32, 24]" class="info-personal__item">
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.proposed-unit.table.empCode' | translate }}"
        [mbLabelValue]="itemConsulations?.employeeCode"
      ></mb-text-label>
    </div>
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.proposed-unit.table.empName' | translate }}"
        [mbLabelValue]="itemConsulations?.employeeName"
      ></mb-text-label>
    </div>
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.proposed-unit.table.sentDate' | translate }}"
        [mbLabelValue]="itemConsulations?.sentDate | date: 'dd/MM/yyyy'"
      ></mb-text-label>
    </div>
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.proposed-unit.formRotation.formName' | translate }}"
        [mbLabelValue]="itemConsulations?.formName"
      ></mb-text-label>
    </div>
  </div>
  <div nz-row [nzGutter]="[32, 24]" class="info-personal__item">
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.proposed-unit.table.currentUnit' | translate }}"
        [mbLabelValue]="itemConsulations?.currentUnit"
      ></mb-text-label>
    </div>
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.proposed-unit.table.currentTitle' | translate }}"
        [mbLabelValue]="itemConsulations?.currentTitle"
      ></mb-text-label>
    </div>
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.proposed-unit.table.currentPos' | translate }}"
        [mbLabelValue]="itemConsulations?.currentPosition"
      ></mb-text-label>
    </div>
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.proposed-unit.table.currentVerticalBlock' | translate }}"
        [mbLabelValue]="itemConsulations?.currentBusinessLine"
      ></mb-text-label>
    </div>
  </div>

  <div nz-row [nzGutter]="[32, 24]" class="info-personal__item">
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.proposed-unit.table.proposeUnit' | translate }}"
        [mbLabelValue]="itemConsulations?.proposeUnit"
      ></mb-text-label>
    </div>
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.proposed-unit.table.proposeTitle' | translate }}"
        [mbLabelValue]="itemConsulations?.proposeTitle"
      ></mb-text-label>
    </div>
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.proposed-unit.table.proposePos' | translate }}"
        [mbLabelValue]="itemConsulations?.proposePosition"
      ></mb-text-label>
    </div>
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.proposed-unit.table.proposeVerticalBlock' | translate }}"
        [mbLabelValue]="itemConsulations?.proposeBusinessLine"
      ></mb-text-label>
    </div>
  </div>
  <div nz-row [nzGutter]="[32, 24]">
    <div nz-col nzXs="24" nzLg="6">
      <mb-text-label
        mbLabelText="{{ 'development.list-plan.search.consultationStatus' | translate }}"
        [mbLabelValue]="itemConsulations?.statusConsultation"
      ></mb-text-label>
    </div>
  </div>
</nz-card>

<nz-card class="info-personal">
  <h3>{{ 'development.proposed-unit.consultationScreen.idea' | translate }}</h3>

  <nz-table
    #consult
    class="consultationTable"
    [nzData]="dataTable.length > 0 ? dataTable : [{}]"
    [nzShowPagination]="false"
  >
    <thead>
      <tr>
        <th scope="col" nzWidth="12%">{{ 'development.proposed-unit.consultationScreen.ideaDate' | translate }}</th>
        <th scope="col" nzWidth="16%">{{ 'development.proposed-unit.consultationScreen.ideaPerson' | translate }}</th>
        <th scope="col" nzWidth="16%">
          {{ 'development.proposed-unit.consultationScreen.representUnit' | translate }}
        </th>
        <th scope="col" nzWidth="14%">{{ 'development.proposed-unit.consultationScreen.idea' | translate }}</th>
        <th scope="col" nzWidth="14%">{{ 'development.proposed-unit.consultationScreen.detailIdea' | translate }}</th>
        <th scope="col" nzWidth="10%" class="text-center">
          {{ 'development.proposed-unit.consultationScreen.displayOnReport2' | translate }}
        </th>
        <th scope="col" nzWidth="10%" class="text-center">
          {{ 'development.proposed-unit.consultationScreen.displayOnReport3' | translate }}
        </th>
        <th scope="col" nzWidth="14%" class="text-center">
        </th>
      </tr>
    </thead>
    <tbody>
      <ng-container *ngIf="dataTable.length > 0">
        <tr *ngFor="let item of dataTable; let i = index">
          <td>
            <em nz-icon nzType="calendar" nzTheme="outline"></em>
            <span class="consultationTable__dateIdea">{{ item.consultDate | date: 'dd/MM/yyyy' }}</span>
          </td>
          <td>{{ item.consultName }}</td>
          <td>{{ item.consultUnitName }}</td>
          <td>{{ item.status }}</td>
          <td>{{ item.note }}</td>
          <td class="text-center">
            <label nz-checkbox class="consultCheckbox" [ngModel]="item.show" [nzDisabled]="true"></label>
          </td>
          <td class="text-center">
            <label nz-checkbox class="consultCheckbox" [ngModel]="item.showOpinion" [nzDisabled]="true"></label>
          </td>
          <td class="text-center">
            <em nz-icon nzType="delete" nzTheme="outline" (click)="deleteInfoConsultations(item?.id)"></em>
            <em nz-icon nzType="edit" nzTheme="outline" (click)="showModalBalanced(footerTmpl, 'EDIT', item)"></em>
          </td>
        </tr>
      </ng-container>
      <tr *ngIf="typeAction === this.screenType.update">
        <td class="consultationTable__newLine" colspan="8" (click)="showModalBalanced(footerTmpl, 'ADD')">
          <a>
            {{ 'development.proposed-unit.detail.addRow' | translate }}
          </a>
        </td>
      </tr>
    </tbody>
  </nz-table>
</nz-card>
<ng-template #footerTmpl>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
    (click)="modalRef.destroy()"
  >
  </mb-button>
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.save' | translate }}"
    (click)="modalRef.getContentComponent().addData()"
  ></mb-button>
</ng-template>
